# gmenu
[![GoDoc](https://godoc.org/git.sr.ht/~tslocum/gmenu?status.svg)](https://godoc.org/git.sr.ht/~tslocum/gmenu)
[![builds.sr.ht status](https://builds.sr.ht/~tslocum/gmenu.svg)](https://builds.sr.ht/~tslocum/gmenu)
[![Donate](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)

Desktop application launcher

## Download

[**Download gmenu**](https://gmenu.rocketnine.space/download/?sort=name&order=desc) (Linux binaries are available)

## Compile

Note: This is only necessary if you did not download a binary.

### Console

```
GO111MODULE=on go get git.sr.ht/~tslocum/gmenu/cmd/gmenu
```

### GUI

```
GO111MODULE=on go get git.sr.ht/~tslocum/gmenu/cmd/gtkmenu
```

## Usage

### Console

```
Usage of ./gmenu:
  -browser string
        browser command
  -data-dirs string
        application data directories (default: $XDG_DATA_DIRS)
  -mouse
        enable mouse support
  -no-details
        hide application details
  -no-generic
        hide application generic names
  -terminal string
        terminal command
```

### GUI

```
Usage of ./gtkmenu:
  -browser string
        browser command
  -data-dirs string
        application data directories (default: $XDG_DATA_DIRS)
  -height int
        window height (default 200)
  -no-details
        hide application details
  -no-generic
        hide application generic names
  -no-icons
        hide application icons
  -resizable
        allow window to be resized
  -terminal string
        terminal command
  -width int
        window width (default 800)
```

## Usage example - [sway](https://swaywm.org)/[i3](https://i3wm.org) + [alacritty](https://github.com/jwilm/alacritty)

### Console

```
bindsym $mod+d exec --no-startup-id alacritty --class gmenu --title gmenu --working-directory ~ -e gmenu
for_window [app_id="gmenu"] floating enable; resize set 745 105
```

### GUI

```
bindsym $mod+d exec --no-startup-id gtkmenu
```

## Support

Please share suggestions/issues [here](https://todo.sr.ht/~tslocum/gmenu).
